Subject: Re: problem with telnet and ftp server on win 2K
From: "John Vincent" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Tue, 30 Apr 2002 11:39:24 +0000

Hi David,

Thanks for the info. I created a system-wide environment variable
using the control panel called "CYGWIN" with a value of "ntsec"
and rebooted, and now telnet and ftp are working fine!

Thanks for your help.
/John

>From: David Starks-Browning <[email-masked]>
>To: "John Vincent" <[email-masked]>
>CC: [email-masked]
>Subject: problem with telnet and ftp server on win 2K
>Date: Tue, 30 Apr 2002 11:41:50 +0100
>
>On Tuesday 30 Apr 02, John Vincent writes:
> > I've discovered that I cannot successfully telnet into my Win 2K box 
>using
> > the cygwin inetd, there is also a problem with the ftp service. I've
> > installed inetd as per instructions, and installed it as a service.
> >
> > When I use telnet to attempt to log in, everything goes OK until the 
>point
> > where a shell should be started, at that point I get a pop-up box 
>appearing
> > on my Win 2K screen with the title "bash.exe - Application Error" and 
>the
> > text "The application failed to initialize properly (0xc0000022). Click 
>on
> > OK to terminate the application." When I click on OK my telnet session 
>ends
> > with the message "Connection closed by foreign host."
>
>This has been discussed on the mailing list before, search the
>archives.  I noticed it with cygwin-1.3.10 on NT4, and found that
>enabling ntsec solved the problem for me.  But there are lots of
>things to check, like the correctness of your /etc/passwd and
>/etc/group files, rights given to the inetd service account,
>execute permissions on the applications and cygwin1.dll, ...
>
>It's a mystery, to me, why it fails without ntsec but works with
>ntsec, all other things being the same.  But I've stopped worrying
>about it, now that I use ntsec.
>
>Good luck.  Report back if you have something new to add.
>
>Regards,
>David
>

_________________________________________________________________
Chat with friends online, try MSN Messenger: http://messenger.msn.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/